## osinfo_devicelinkfilter osinfo_devicelinkfilter — an operating system filter |

## Functions

OsinfoDeviceLinkFilter * | osinfo_devicelinkfilter_new ()
OsinfoFilter * | osinfo_devicelinkfilter_get_target_filter ()

## Types and Values

#define | OSINFO_TYPE_DEVICELINKFILTER

## Description

OsinfoDeviceLinkFilter is a specialization of OsinfoFilter that can also set a constraint against the device link target. It can only be used to filter entities that are OsinfoDeviceLink objects.

## Functions

### osinfo_devicelinkfilter_new ()

    OsinfoDeviceLinkFilter *
    osinfo_devicelinkfilter_new (OsinfoFilter *filter);

Construct a new filter that matches all operating systems

#### Parameters

filter | the target device filter |

#### Returns

a new filter.

[transfer full]

### osinfo_devicelinkfilter_get_target_filter ()

    OsinfoFilter *
    osinfo_devicelinkfilter_get_target_filter
                                   (OsinfoDeviceLinkFilter *filter);

Retrieve the filter used to match against the target of the device link

#### Parameters

filter | the filter object |

#### Returns

the target filter object.

[transfer none]

## Types and Values

### OSINFO_TYPE_DEVICELINKFILTER

    #define OSINFO_TYPE_DEVICELINKFILTER (osinfo_devicelinkfilter_get_type ())

## See Also

OsinfoFilter, OsinfoDeviceLink